Atividades do WABA
curl --request GET \
--url https://apis.vectalk.com.br/api/analytics/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.vectalk.com.br/api/analytics/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.vectalk.com.br/api/analytics/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Analytics
Atividades do WABA
Consulte as atividades (activities) do WhatsApp Business Account com filtros de data e tipo.
GET
/
analytics
/
activities
Atividades do WABA
Requer token de instância. O WABA ID é resolvido automaticamente pelo token — não é necessário informar o
waba-id.Parâmetros
Query
string
Campos a retornar.
integer
Limite de resultados por página.
string
Cursor de paginação (próxima página).
string
Cursor de paginação (página anterior).
string
Data de início (timestamp Unix ou ISO 8601).
string
Data de fim (timestamp Unix ou ISO 8601).
string
Filtrar por tipo de atividade.
Exemplo de Requisição
curl --request GET \
--url 'https://apis.vectalk.com.br/api/analytics/activities?since=2026-01-01&until=2026-01-31&limit=50' \
--header 'Authorization: Bearer {seu_token}'
Resposta
A resposta é retornada diretamente da API da Meta.{
"data": [
{
"id": "activity_123",
"type": "message_template_status_update",
"time": "2026-01-15T10:00:00Z",
"details": {}
}
],
"paging": {
"cursors": {
"before": "before_cursor",
"after": "after_cursor"
}
}
}